#include <iostream>

using namespace std;
int nulac(int a){
    int Na = 0;
    int m = a;
    while(m > 0){
        Na++;
        m = m/10;
    }
    return Na;
}
int povecanje(int a,int b,int c){
    int k = a;
    for(int m=0;m < c-b ;m++){
       k = k*10;
    }
    return k;
}
int MAX(int x,int y,int z){
    int MAX = 0;
    if(x > MAX){
        MAX = x;
    }
    if(y > MAX){
        MAX = y;
    }
    if(z  > MAX){
        MAX = z;
    }
    return MAX;
}

int main()
{
    int a,b,c;
    a = 56;
    int maksim,minim,sredim;
    int ao,bo,co;
    int A,B,C;
    int np = 0;
    int Kraj[a];


    cin >> a >> b >> c;
    ao = nulac(a);
    bo = nulac(b);
    co = nulac(c);

    maksim = MAX(a,b,c);
    maksim = nulac(maksim);
    A = povecanje(a,ao,maksim);
    B = povecanje(b,bo,maksim);
    C = povecanje(c,co,maksim);
    maksim = MAX(A,B,C);

    minim = A;

    if(B < minim){
        minim = B;
    }
    if(C  < minim){
       minim = C;
    }
    if(maksim == A){
        maksim = a;
    }else{
        if(maksim == B){maksim = b;}else{maksim = c;}
    }
    if(minim == A){
        minim = a;
    }else{
        if(minim == B){minim = b;}else{minim = c;}
    }

    sredim = a+b+c-maksim-minim;

    while(minim > 0){
        Kraj[np] = maksim%10;
        minim = minim/10;
        np++;
     }
     while(maksim > 0){
        Kraj[np] = maksim%10;
        maksim = maksim/10;
        np++;
     }
     while(sredim > 0){
        
        Kraj[np] = maksim%10;
        sredim = sredim/10;
        np++;
     }

    for(int k = np-1 ;k >= 0;k--){
        cout << Kraj[k];

    }

    return 0;
}